require "spec_helper"

describe Flyboy::GoalsController, type: :routing do
  describe "routing" do
    routes { Flyboy::Engine.routes }

    it "routes to #index" do
      get("/goals").should route_to("flyboy/goals#index")
    end

    it "routes to #new" do
      get("/goals/new").should route_to("flyboy/goals#new")
    end

    it "routes to #show" do
      get("/goals/1").should route_to("flyboy/goals#show", :id => "1")
    end

    it "routes to #edit" do
      get("/goals/1/edit").should route_to("flyboy/goals#edit", :id => "1")
    end

    it "routes to #create" do
      post("/goals").should route_to("flyboy/goals#create")
    end

    it "routes to #update" do
      patch("/goals/1").should route_to("flyboy/goals#update", :id => "1")
    end

    it "routes to #destroy" do
      delete("/goals/1").should route_to("flyboy/goals#destroy", :id => "1")
    end

    it "routes to #open" do
      patch("/goals/1/open").should route_to("flyboy/goals#open", id: "1")
    end

    it "routes to #close" do
      patch("/goals/1/close").should route_to("flyboy/goals#close", id: "1")
    end

  end
end
